
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#通过webbrowser控件与javascript交互 / iVAN</title>

    <meta name="description" content="C#通过webbrowser控件与javascript交互 1.C#里调用控件里面网页的js函数     //调用JavaScript的messageBox方法,并传入参数     object[] objects = new object[1];     objects[0] = &quot;C#访问JavaScript脚本&quot;;     this.webBrowser1.Document.InvokeScript(&quot;messageBox&quot;, objects);//object就是传入的参数,而messageBox则是网页中 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#通过webbrowser控件与javascript交互</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong></strong></p>
<p><strong>1.C#里调用控件里面网页的js函数</strong><br />
    //调用JavaScript的messageBox方法，并传入参数<br />
    object[] objects = new object[1];<br />
    objects[0] = “C#访问JavaScript脚本";<br />
    this.webBrowser1.Document.InvokeScript(“messageBox", objects);//object就是传入的参数，而messageBox则是网页中预定义好的js函数。<br />
通过这种方式C#里面就可以执行Javascript函数，可以把上面的代码放到一个button的click事件里面。</p>
<p><strong>2.webbrowser控件里网页js调用C#窗体的函数</strong><br />
首先需要在代码里面加上<br />[System.Runtime.InteropServices.ComVisibleAttribute(true)] <br />
    public partial class Form1 : Form{<br />
         …..//<br />
    }<br />
这样使得C#的com对象是对网页里的javascript可见的。<br />
然后在嵌入网页里面通过“window.external.MyMessageBox(‘javascript访问C#代码’)" ,即通过window.external捕获调用c#定义好的函数。</p>
<p>具体Form.cs代码如下(通过vs创建的c#window窗体应用，拖拽上一个webbrowser控件和button控件。)：
<pre>		[System.Runtime.InteropServices.ComVisibleAttribute(true)]
        public partial class Form1 : Form
        {
            public Form1()
            {
                 InitializeComponent();
                 System.IO.FileInfo file = new System.IO.FileInfo("test.html");
                 this.webBrowser1.Url = new Uri(file.FullName); // WebBrowser控件显示的网页路径
                 this.webBrowser1.ObjectForScripting =this;// 将当前类设置为可由脚本访问
             } 

			//提供给JavaScript调用的方法
            public void MyMessageBox(string message)
            {
                MessageBox.Show(message);
            } 

			private void button1_Click_1(object sender, EventArgs e)
            {
                //调用JavaScript的messageBox方法，并传入参数
				object[] objects = new object[1];
				objects[0] = “C#访问JavaScript脚本";
				this.webBrowser1.Document.InvokeScript("messageBox", objects);
			}
		}</pre>
<p>test.html内容比较简单：</p>
<pre>&lt;html&gt;
	&lt;head&gt;
		&lt;meta http-equiv="Content-Language" content="zh-cn"&gt;
		&lt;script language="javascript" type="text/javascript"&gt;
			&lt;!– 提供给C#程序调用的方法 –&gt;
			function messageBox(message)
			{
				alert(message);
			}
		&lt;/script&gt;
&lt;/head&gt;
&lt;body&gt;
	&lt;!– 调用C#方法 –&gt;
	&lt;button onclick="window.external.MyMessageBox('javascript访问C#代码')" &gt;javascript访问C#代码&lt;/button&gt;
&lt;/body&gt;
&lt;/html&gt;</pre>
<p>配置运行成功的话，可以看到相互调用的效果</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 06:38:51</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#通过webbrowser控件与javascript交互的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pP8Rd8p.html" rel="bookmark">android中webview控件和javascript交互实例&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当我们要实现丰富的图文混排效果的时候,我们一般会使用webview,这是一个功能十分强大的的控件,来看看官方的解释: 复制代码 代码如下: A View that displays web pages. This class is the basis upon which you can roll your own web browser or simply display some online content within your Activity. It uses the WebKit			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M696Pob.html" rel="bookmark">android中webview控件和javascript交互实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				当我们要实现丰富的图文混排效果的时候,我们一般会使用webview,这是一个功能十分强大的的控件,来看看官方的解释: 复制代码 代码如下:A View that displays web pages. This class is the basis upon which you can roll your own web browser or simply display some online content within your Activity. It uses the WebKit r			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zwyG1EM.html" rel="bookmark">WebBrowser控件的简单应用2</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:WebBrowser控件的简单应用2 第一个简单应用里面讲述的是如何模拟调用当前网页的元素的事件或者赋值/取值.这次的应用讲述的是1:如何处理弹出新页面的事件(总是在我的浏览器里面现实新页面)2:如何处理window.close事件,让我的浏览器页关闭3:让html页面的js调用我的browse的函数4:如何让我的browse调用html的js函数. 使用场景:一个web程序,让用户使用自定义浏览器来浏览,该web程序会调用浏览者机器上一些接口.我的这个浏览器叫做AppBrowser.关于			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/0bovZEz.html" rel="bookmark">在VB中使用IE的 WebBrowser控件改进界面设计</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				web|webbrowser控件|设计 在VB中使用IE的 WebBrowser控件 改进界面设计 在程序设计中,如何设计出美观.实用,有个性的界面是每个程序设计者在界面设计中追求的目标.随着Windows XP的推出,各种与众不同的华丽界面越来越被程序设计者和软件使用者所认同. 利用Windows中的WebBrowser控件,可以把华丽的网页设计技术应用到界面设计中去,例如微软著名的MSN浏览器的许多界面其实就是一个Web页,Windows XP中的帮助中心.Microsoft Encarta			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b329YAz.html" rel="bookmark">获取input表签的值-在webbrowser控件中获取文本框的值</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 在webbrowser控件中获取文本框的值 复制授权码 请问高手们怎么才能获取到input标签的值呢 相关文章 javaweb-value为空,如何获取文本框的值? javascript-在js中 如何用Jquery 获取一个文本框中的值 文本框中ID=A js文本框-js获取文本框的值,有默认值 javascript-如何获取HTML网页密码输入框的值? jquery怎么让循环的两个文本框的值相加 servlet-想通过href链接传递文本框的值,该怎么得到文本框的值 textbox			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrW4oOp.html" rel="bookmark">Webbrowser控件史上最强技巧全集</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:Webbrowser控件史上最强技巧全集 Webbrowser控件史上最强技巧全集 VB调用webbrowser技巧集 1.获得浏览器信息: Private Sub Command1_Click() WebBrowser1.Navigate &quot;http://www.applevb.com&quot; End Sub Private Sub Command2_Click() Dim oWindow Dim oNav Set oWindow = WebBrowser1.Document.par			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RGaBb.html" rel="bookmark">C&num;中的WebBrowser控件的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				关键字:C# WebBrowser 作者:txw1958 原文:http://www.cnblogs.com/txw1958/archive/2012/09/24/CSharp-WebBrowser.html   0.常用方法 Navigate(string urlString):浏览urlString表示的网址 Navigate(System.Uri url):浏览url表示的网址 Navigate(string urlString, string targetFrameName, byte[			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2RXE3b.html" rel="bookmark">ie8-ie自带的webbrowser控件无法分页预览打印</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 ie自带的webbrowser控件无法分页预览打印 RT,我在要分页的div外层套上了 ,但是当执行document.all.WebBrowser.ExecWB(7,1)后,只有第一页可以显示在打印预览界面上,后面的页显示不出来,请问是怎么回事? 相关文章 ie8-IE8的webbrowser控件无法预览页面 webbrowser.execwb-WebBrowser.ExecWB 在chrome下无法识别 网页-VS2010 MFC CHtmlView类的打印预览功能的实现 插件-请问			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zZBLWBz.html" rel="bookmark">关于webbrowser控件自动登陆的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				原文:关于webbrowser控件自动登陆的问题 楼主dtb(陈少)2004-03-04 22:16:55 在 VB / 网络编程 提问 请问怎么用webbrowser自动登陆www.jp168.com,(没有框架的网站试过了可以,这个有框架,登陆页面还会弹出窗口,搞得我晕晕的)     登陆成功后从返回页面里取出input控件uid的值 问题点数:80.回复次数:4 1 楼cutemouse(为梦而生)回复于 2004-05-09 23:54:21 得分 80 控制网页的FORMS行为    			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ7xob.html" rel="bookmark" class="title">删除Table表中的重复行的方法</a>
					<div>
						利用SQL Server 2005的新功能NOW_NUMBER和CTE可以很好的实现. 举例说明如下: 建立测试数据: 复制代码 代码如下: create table Dup1 ( Col1 int  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBljap.html" rel="bookmark" class="title">数据库更新--添加数据</a>
					<div>
						一个数据库能否保持信息的正确性.及时性.很大程度上依赖于数据库的更新功能的强弱与实时.数据库的更新包括插入.删除.修改(也称为更新)三种操作.本章将分别讲述如何使用这些操作,以便有效地更新数据库. 在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj7Q3ZM.html" rel="bookmark" class="title">点对多点无线网桥解决方案</a>
					<div>
						多点实现无线互联,可采用一点对多点,中继等方式实现.可以根据不同的需求,不同的环境来选择不同的联接方式.这里只讲述一点对两点的连接. ABC三点互联.信息中心在A,其中AB.AC之间均为可视.我们可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyDnkb.html" rel="bookmark" class="title">Windows 7自我修复能力展示 仅需5分钟</a>
					<div>
						国外博客AdrianKingsley最近演示了Windows7强大的自我修复能力,我们知道恢复Windows系统需要光盘并且要很长时间,而Windows7则不必. 作者故意将系统弄坏无法启动,结果Wi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7KA4b.html" rel="bookmark" class="title">SharePoint开发积累：在Eventhandler中使用State模式</a>
					<div>
						曾经的项目中有个小需求,在一个list中创建一个Choice类型的字段,名为 Status,分别有&quot;Not Started&quot;,&quot;In Progress&quot;,&qu ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2y10Qz.html" rel="bookmark" class="title">linux进程管理之信号处理&lpar;1&rpar;</a>
					<div>
						信号是操作系统中一种很重要的通信方式.近几个版本中,信号处理这部份很少有大的变动.我们从用户空间的信号应用来分析Linux内核的信号实现方式. 一:信号有关的数据结构 在task_struct中有关的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bK7Em7b.html" rel="bookmark" class="title">ORACLE JOB无法停止的处理</a>
					<div>
						有个周末只有的JOB,目的是迁移4千万数据,跑了一宿都没跑完.无奈业务高峰到了,尝试KILL掉,可是做了如下动作居然杀了又起,多次反复,还在RAC两个节点中转移,最后无奈把其调用的存储过程改成NULL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pnx96jb.html" rel="bookmark" class="title">Oracle分区（3） 分区与性能</a>
					<div>
						在实际工作中,常听到初学者说:&quot;大表分区肯定可以提高查询性能&quot;.其实不然,在 你完全不了解应用的情况下,盲目的建立分区不但不能够提高查询性能,还有可能导致查询性能下降 .因此,在决 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6ewqJb.html" rel="bookmark" class="title">XP系统下怎样启动WZC服务</a>
					<div>
						  XP系统下怎样启动WZC服务 方法如下: 1.打开无线网络管理器,刷新网络,提示信息如图所示,首先我们按照提示去服务中启动这个WZC服务.全称为Wireless Zero Configuratio ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1EAV3M.html" rel="bookmark" class="title">联想笔记本win7系统下创建批处理快速开启&sol;禁用无线网卡的技巧</a>
					<div>
						  1.首先检查一下自己的笔记本电脑里面是否有devcon.exe这个软件,可以直接在WINDOWS目录的SYSTEM32文件夹下面搜索,也可以通过命令行CMD,然后输入DEVCON?来检测,没有的话 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQNR2wM.html" rel="bookmark" class="title">Win7系统纯净版安装步骤图文教程</a>
					<div>
						  很多会员朋友问我:win7系统下载好后怎么安装的啊?有没有win7系统安装教程图啊?纯净版好呢还是GHOST版本好,我在这里可以告诉大家绝是纯净版好!GHOST是经过工具优化后的产物,我建议你们安 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEWxqLp.html" rel="bookmark" class="title">GitHub无法访问或访问缓慢解决办法</a>
					<div>
						缘由 由于众所周知的原因,Github最近无法访问或访问很慢. 由于Github支持https,因此此次屏蔽Github采用的方法是dns污染,用户访问github会返回一个错误的IP 翻墙当然是一种 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRBrDz.html" rel="bookmark" class="title">DockOne微信分享（一三二）：58 赶集基于 Docker 的自动化部署实践</a>
					<div>
						本文讲的是DockOne微信分享(一三二):58 赶集基于 Docker 的自动化部署实践[编者的话]随着 58 业务的发展,机器和服务数量也日益庞大,在多环境下,服务的管理和依赖难以维护.基于 Do ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7ZYqKp.html" rel="bookmark" class="title">PS结合SAI把高清美女转为清爽的仿手绘效果</a>
					<div>
						  原图 &lt;点小图查看大图&gt; 最终效果 1.PS里面打开图片,调整图片大小,宽度3000,分辨率300. 2.调色:套路都是调亮,减黄,白加青. 分类: PS入门教程					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWDgnz.html" rel="bookmark" class="title">php多进程处理</a>
					<div>
						php多进程处理 往往我们会碰到一个情况,需要写一个脚本,这个脚本要处理的数据量极大,单进程处理脚本非常慢,那么这个时候就会想到使用多进程或者多线程的方式了. 我习惯使用多进程的方式,php中使用多进 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlKnXNb.html" rel="bookmark" class="title">个人账户POS机&OpenCurlyDoubleQuote;停刷&rdquo;时限延至亚运后</a>
					<div>
						明天,本是&quot;以个人账户为结算账户开立的商户POS机&quot;停刷信用卡的最后时限,但羊城晚报记者昨日从广东银联和商户处均获悉,这一时限将确定延期至亚运会结束后.但亚运会后,个体商户仍必须将 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Zd3AM.html" rel="bookmark" class="title">三星A7如何设置触摸灵敏度&quest;</a>
					<div>
						1.在A7手机点击[应用程序]图标,右手机右下角.    2. 进入之后在左下角点击[设定]图标打开进入.    3. 之后我们点击找到[显示和墙纸]然后点击打开进入,细节如下.    4. 之后找到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Myd6Ylb.html" rel="bookmark" class="title">编码-&period;net  url转码问题 url转码问题</a>
					<div>
						问题描述 .net url转码问题 url转码问题 传入是中文的.但是接受变成了url编码! 引用了system.web. 但是使用不了HttpUtility.UrlEncode此方法.求大神指点一下 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mq7LPZz.html" rel="bookmark" class="title">【万里征程&mdash;&mdash;Windows App开发】SemanticZoom视图切换</a>
					<div>
						相信用过Windows Phone或者Windows 8/8.1/10的朋友对下面这张截图肯定不陌生.这就是通过SemanticZoom来实现的,当数据过多时,这种控件尤其适用.它有一个放大视图Zoo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bode4gM.html" rel="bookmark" class="title">jquery冲突问题</a>
					<div>
						问题描述 $(function () 最近在程序中大量的运用js特效 anythingslider 和 jScrollPane 两个效果不能兼容 只有一个效果能实现 删除了上面括号中的函数,效果就不存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLgZXaM.html" rel="bookmark" class="title">卸载卷-windows如何卸载每个分区的文件系统</a>
					<div>
						问题描述 windows如何卸载每个分区的文件系统 我想以独占的方式打开和使用一个磁盘卷,以后都不让文件系统对其有任何操作,应该怎么办? 具体情况是:当我把一个磁盘卷删除,然后新建卷的时候,如果不对该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12Yk3p.html" rel="bookmark" class="title">Java 理论与实践&colon; 正确使用 Volatile 变量（转）</a>
					<div>
						Java 语言中的 volatile 变量可以被看作是一种 &quot;程度较轻的 synchronized&quot;:与 synchronized 块相比,volatile 变量所需的编码较少,并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5QZBAp.html" rel="bookmark" class="title">asp&period;net c&num; 学用的正则表达式</a>
					<div>
						asp教程.net c# 学用的正则表达式 一.组的分类 正则中的组有捕获组和非捕获组,而捕获组又分为普通的捕获组和命名捕获组,分别为 捕获组:(exp)    命名捕获组:(? &lt;name&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdmjXAz.html" rel="bookmark" class="title">PHP 魔术变量和魔术函数详解&lowbar;php技巧</a>
					<div>
						魔术变量 PHP 向它运行的任何脚本提供了大量的预定义常量. 不过很多常量都是由不同的扩展库定义的,只有在加载了这些扩展库时才会出现,或者动态加载后,或者在编译时已经包括进去了. 有八个魔术常量它们的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Zlrob.html" rel="bookmark" class="title">Flex中如何判断是否在组件之外单击&lowbar;Flex</a>
					<div>
						昨天在做Flex开发的时候,遇到了这样一种操作,之前也遇到过,那时的办法不是很好,今天又碰上了类似的问题,先看一张图吧!  这是系统界面大概的样子,现在的情况是,红色区域是一个窗口.页面.组件这样的, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkgYez.html" rel="bookmark" class="title">SSH2问题（弄好长时间，没有出来）各位帮忙</a>
					<div>
						问题描述 最近在做一个SSH2整合时,遇到两个问题一个是在Action中传递参数时,用requestAware接口时,参数传不到网页publicclassOrgActionextendsActionS ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXdK94p.html" rel="bookmark" class="title">去哪儿网向代理商发&OpenCurlyDoubleQuote;封杀令&rdquo;价格不能比淘宝高</a>
					<div>
						近几天,淘宝旅行发出一份网络截屏,显示去哪儿给一些机票代理商压力,要求代理商们给去哪儿的价格不能比淘宝高 在携程.艺龙等在线旅游预订商(OTA)大打在线酒店价格战时,这股战火又蔓延到了在线机票预订领域 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjoZ2nM.html" rel="bookmark" class="title">WPF案例（二）模拟Apple OS 界面前后180度反转</a>
					<div>
						原文:WPF案例(二)模拟Apple OS 界面前后180度反转     我们在设计应用程序界面的时候,为了充分利用界面空间,住住需要灵活的界面布局方式,比如可以在界面正面空间上定义一个Chart,背 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByrZdz.html" rel="bookmark" class="title">在EditPlus中配置Perl开发编译环境&lowbar;perl</a>
					<div>
						偶尔写写Perl脚本,用Eclipse打开太慢,NotePad吧,色彩又太单调了,NotePad++无疑是不一个不错的选择,但当要输入中文注释时,经常卡壳非常不爽,最后还是选择用用Editplus,  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQW8jGp.html" rel="bookmark" class="title">Excel 2010怎么快速选择单元格区域？</a>
					<div>
						在 Excel 工作表当中选择单元格或者单元格区域中的数据是一项十分简单的操作,然而在这一项简单的操作当中也存在着很多技巧.如果掌握这些技巧的话,可以大大减少工作时间.提升工作效率. 操作步骤: 1. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.025 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
